## ros-rolling-rclc-parameter 3.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rclc_parameter)

#################################################
# package options
#################################################
set(RCLC_PARAMETER_MAX_STRING_LENGTH 50 CACHE STRING "Set the maximum length for strings.")
add_definitions(-DRCLC_PARAMETER_MAX_STRING_LENGTH=${RCLC_PARAMETER_MAX_STRING_LENGTH})

#################################################
# compiler settings
#################################################

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(CMAKE_VERBOSE_MAKEFILE ON)

#################################################
# package dependencies
#################################################
find_package(ament_cmake REQUIRED)
find_package(rcl REQUIRED)
find_package(rclc REQUIRED)
find_package(rcutils REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rcl_interfaces REQUIRED)
find_package(rosidl_runtime_c REQUIRED)

#################################################
# create library
#################################################
add_library(${PROJECT_NAME}
  src/rclc_parameter/parameter_server.c
  src/rclc_parameter/parameter_utils.c
)

target_include_directories(${PROJECT_NAME}
    PUBLIC
        $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
        $<INSTALL_INTERFACE:include>
    PRIVATE
        $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
)

target_link_libraries(${PROJECT_NAME} ${CMAKE_THREAD_LIBS_INIT})

ament_target_dependencies(${PROJECT_NAME}
  rcl
  rclc
  rcutils
  builtin_interfaces
  rcl_interfaces
  rosidl_runtime_c
)



#################################################
# install
#################################################
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
  PUBLIC "RCLC_PARAMETER_BUILDING_LIBRARY")
# this alternative would also work
#add_definitions(-DRCLC_PARAMETER_BUILDING_LIBRARY)

install(
  TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  DIRECTORY include/
  DESTINATION include
)

# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(${PROJECT_NAME})

#################################################
# gtest
#################################################
if(BUILD_TESTING)
  find_package(rclcpp REQUIRED)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE) # No copyright header check since link to NOTICE file is not recognized properly.
  find_package(osrf_testing_tools_cpp REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(example_interfaces REQUIRED)

  ament_lint_auto_find_test_dependencies()

  ament_add_gtest(${PROJECT_NAME}_test
    test/rclc_parameter/test_parameter.cpp
  )

  target_include_directories(${PROJECT_NAME}_test PRIVATE include src)
  target_link_libraries(${PROJECT_NAME}_test ${PROJECT_NAME})
  ament_target_dependencies(${PROJECT_NAME}_test
    rclcpp
    rclc
    rcl
    rcutils
    rosidl_generator_c
    osrf_testing_tools_cpp
    std_msgs
    example_interfaces
  )
endif()

#################################################
# export dependencies
#################################################
# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(ament_cmake)
ament_export_dependencies(rcl)
ament_export_dependencies(rclc)
ament_export_dependencies(rcutils)
ament_export_dependencies(builtin_interfaces)
ament_package()

=== debian/changelog ===
ros-rolling-rclc-parameter (3.0.6-1focal) focal; urgency=high

  * Add thread dependency to examples (Rolling) (#237) (resolves in this package only cpplint errors)

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Mon, 24 Jan 2022 23:00:00 -0000

ros-rolling-rclc-parameter (3.0.5-1focal) focal; urgency=high

  * no change

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Mon, 22 Nov 2021 23:00:00 -0000

ros-rolling-rclc-parameter (3.0.4-1focal) focal; urgency=high

  * Add rclc_parameter Quality Declaration (#144)
  * Check all dynamic allocations in parameter server init (#169)

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Tue, 16 Nov 2021 23:00:00 -0000

ros-rolling-rclc-parameter (3.0.3-1focal) focal; urgency=high

  * Version bump

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Tue, 27 Jul 2021 22:00:00 -0000

ros-rolling-rclc-parameter (3.0.2-1focal) focal; urgency=high

  * Add test dependencies for rclc_parameter

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Sun, 25 Jul 2021 22:00:00 -0000

ros-rolling-rclc-parameter (3.0.1-1focal) focal; urgency=high

  * Removed shared from rclc_parameter
  * Ensure clean message when set_parameter
  * Added QoS entity creation API
  * Updated CMakeLists.txt
  * Major vesion bump was neccessary because API change in rcl_lifecycle package

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Fri, 16 Jul 2021 22:00:00 -0000

ros-rolling-rclc-parameter (0.1.0-1focal) focal; urgency=high

  * Initial release

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Wed, 26 May 2021 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-rclc-parameter
Section: misc
Priority: optional
Maintainer: Antonio Cuadros <antoniocuadros@eprosima.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-pytest, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-builtin-interfaces, ros-rolling-example-interfaces, ros-rolling-osrf-testing-tools-cpp, ros-rolling-rcl, ros-rolling-rcl-interfaces, ros-rolling-rclc, ros-rolling-rclcpp, ros-rolling-rcutils, ros-rolling-rosidl-runtime-c, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rclc-parameter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-rcl, ros-rolling-rcl-interfaces, ros-rolling-rclc, ros-rolling-rcutils, ros-rolling-rosidl-runtime-c, ros-rolling-ros-workspace
Description: Parameter server implementation for micro-ROS nodes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rclc-parameter//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rclc-parameter 6.1.0

=== debian/changelog ===
ros-rolling-rclc-parameter (6.1.0-1jammy) jammy; urgency=high

  * Add empty set_atomically parameter service (#354)

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Wed, 14 Jun 2023 22:00:00 -0000

ros-rolling-rclc-parameter (3.0.9-1jammy) jammy; urgency=high

  * Added documentation (#301)
  * Fix parameter change event (#310) (#311)

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Tue, 21 Mar 2023 23:00:00 -0000

ros-rolling-rclc-parameter (3.0.8-1jammy) jammy; urgency=high

  * Parameters fini memory (#253)
  * Fix RCLC int parameter get (cherry-pick) (#272)
  * rclc_parameter: Fix rcl return values (#270)
  * Upgrade parameters (#274)

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Wed, 13 Apr 2022 22:00:00 -0000

ros-rolling-rclc-parameter (3.0.7-1jammy) jammy; urgency=high

  * no changes

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Wed, 16 Feb 2022 23:00:00 -0000

ros-rolling-rclc-parameter (3.0.6-1jammy) jammy; urgency=high

  * Add thread dependency to examples (Rolling) (#237) (resolves in this package only cpplint errors)

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Mon, 24 Jan 2022 23:00:00 -0000

ros-rolling-rclc-parameter (3.0.5-1jammy) jammy; urgency=high

  * no change

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Mon, 22 Nov 2021 23:00:00 -0000

ros-rolling-rclc-parameter (3.0.4-1jammy) jammy; urgency=high

  * Add rclc_parameter Quality Declaration (#144)
  * Check all dynamic allocations in parameter server init (#169)

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Tue, 16 Nov 2021 23:00:00 -0000

ros-rolling-rclc-parameter (3.0.3-1jammy) jammy; urgency=high

  * Version bump

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Tue, 27 Jul 2021 22:00:00 -0000

ros-rolling-rclc-parameter (3.0.2-1jammy) jammy; urgency=high

  * Add test dependencies for rclc_parameter

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Sun, 25 Jul 2021 22:00:00 -0000

ros-rolling-rclc-parameter (3.0.1-1jammy) jammy; urgency=high

  * Removed shared from rclc_parameter
  * Ensure clean message when set_parameter
  * Added QoS entity creation API
  * Updated CMakeLists.txt
  * Major vesion bump was neccessary because API change in rcl_lifecycle package

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Fri, 16 Jul 2021 22:00:00 -0000

ros-rolling-rclc-parameter (0.1.0-1jammy) jammy; urgency=high

  * Initial release

 -- Antonio Cuadros <antoniocuadros@eprosima.com>  Wed, 26 May 2021 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-rclc-parameter
Section: misc
Priority: optional
Maintainer: Antonio Cuadros <antoniocuadros@eprosima.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-builtin-interfaces, ros-rolling-example-interfaces <!nocheck>, ros-rolling-osrf-testing-tools-cpp <!nocheck>, ros-rolling-rcl, ros-rolling-rcl-interfaces, ros-rolling-rclc, ros-rolling-rclcpp <!nocheck>, ros-rolling-rcutils, ros-rolling-rosidl-runtime-c, ros-rolling-std-msgs <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rclc-parameter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-rcl, ros-rolling-rcl-interfaces, ros-rolling-rclc, ros-rolling-rcutils, ros-rolling-rosidl-runtime-c, ros-rolling-ros-workspace
Description: Parameter server implementation for micro-ROS nodes

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
